<p align="center">
  <img src="https://github.com/user-attachments/assets/066fa6fc-a872-4989-9c76-10b9c48f6722" width="200" />
</p>


# MustardUI

MustardUI is a Blender script that provides an intuitive and easy-to-use user interface for human models.

**Note: do not download the file from the Code button, download it from the [Blender Extension official website](https://extensions.blender.org/add-ons/mustardui/) or use the .zip file on the [latest release](https://github.com/Mustard2/MustardUI/releases/latest) instead.**

## Features

The main features are:

* Configuration panel to create your UI without writing a single line of Python code
* Automatic Outfit and Hair recognition, with possible manual additions
* Full outfit support: possibility to combine parts from different outfits, automatic mask/armature layers switcher for the body and the hair on outfit selection, and many other functionalities
* Settings like Subsurface Scattering and Normals Auto Smooth can be toggled on/off for all model parts in one click
* Any Blender property can be added with a simple right-click to Body, Outfit and Hair panels
* Simplify button to quickly turn off modifiers and settings that can decrease Viewport performance
* Creator tools to quickly add physics effects (Cages, Bone Physics) and useful rigs (Spline IK). Plus many others.
* Diffeomorphic Daz Morphs support for Daz based models
* Various other user tools for animators (physics panel, and many others)

![](https://i.ibb.co/2v8m743/Immagine-2022-11-26-011024.png)
![](https://i.ibb.co/z7gbkC9/Immagine-2022-11-26-011007.png)

## How to install

There are two supported ways to install the add-on:

- (Recommended) Install the add-on as a Blender extension, either from the [website](https://extensions.blender.org/add-ons/mustardui/) or in the Get Extensions panel of Blender settings. **This is the recommended method for installing the add-on, as it ensures automatic updates.**
- Download the [latest version](https://github.com/Mustard2/MustardUI/releases/latest) from the Releases page, and install it as a Blender Extension or a Legacy Blender add-on. **Do not download the code from the repository! Only use the .zip files in the Release page.**

## Configuration and Tutorial

- For creators of models, be sure to follow the [Developer Guide](https://github.com/Mustard2/MustardUI/wiki/Developer-Guide)!
- For users, check the [tutorial](https://mustard3d.eu/documentation/#mustardui-and-tools) (MustardUI section).

## Note for Developers/Users

Feel free to open new Issues, both for bugs and new features proposals. Also, all comments are very welcome!
